/* $Id: GSBrowsePanel.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.smleditor.swingui;

import javax.swing.JToolBar;
import javax.swing.event.DocumentListener;

import smart_gs.swingui.toolbar.GSEditorToolBar;
import sml_editor.swingui.AbstractEditorPanel;
import sml_editor.swingui.EditorFrame;
import sml_editor.swingui.EditorMouseListener;


@SuppressWarnings("serial")
public class GSBrowsePanel extends AbstractEditorPanel {

	public GSBrowsePanel(EditorFrame parent,GSEditorTextPane textPane) {
		super(parent,textPane);
	}

	@Override
	public DocumentListener getDocumentListener() {
		return null;
//		return new GSBrowseDocumentListener((GSEditorTextPane)this.textPane);
	}

	@Override
	public EditorMouseListener getMouseListener() {
		return null;
//		return new GSBrowseMouseListener((GSEditorTextPane)this.textPane);
	}

	@Override
	public JToolBar getToolbar() {
		return new GSEditorToolBar((GSEditorTextPane)this.textPane);
	}

}
